Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata
Interface MetadataProvider

All Known Implementing Classes:
  MdmPropertyProvider, MdmMetadataProvider, MdmMetadataProvider, FundamentalMetadataProvider

public interface MetadataProvider

An interface for an object that provides access to the metadata describing a particular data store or the properties of the objects in that data store. The data must support a metadata model that is compatible with that of the `MetadataProvider`. For example, the `oracle.olapi.metadata.mdm.MdmMetadataProvider` class supports the MDM metadata model. To use an instance of `MdmMetadataProvider` for access to a given data store, that data store must support compatible metadata. An example is the metadata in the OLAP Catalog.

The `MetadataProvider` interface supplies only the existence of a unique identifier. Additional features, such as the ability to find out if the connection to the underlying metadata is open and to navigate from one `MetadataObject` to another, are provided by a class that implements this interface, because such features are specific to a particular metadata model (such as MDM).

In addition to classes that give access to metadata and properties, this interface is implemented by a class that gives access to objects representing fundamental operations such as addition and fundamental OLAP API data types such as Integer. For the most part, these classes are used by internal OLAP API code, and not by application developers.

See Also:
  `MetadataObject`, `MdmMetadataProvider`

Method Summary
`java.lang.String` | `getID()` Gets the unique identifier for this `MetadataProvider`.

Method Detail

### getID

    public java.lang.String getID()

  Gets the unique identifier for this `MetadataProvider`.
  Returns:
    The unique identifier for this `MetadataProvider`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.